TESTING/LIN/slqt04.f(3)

NAME
TESTING/LIN/slqt04.f

SYNOPSIS

  Functions/Subroutines
subroutine slqt04 (m, n, nb, result)
SLQT04

Function/Subroutine Documentation

  subroutine slqt04 (integer m, integer n, integer nb, real, dimension(6) result)

SLQT04

Purpose:

    !>
    !> SLQT04 tests SGELQT and SGEMLQT.
    !>

Parameters
    M

    !>          M is INTEGER
    !>          Number of rows in test matrix.
    !>

    N

    !>          N is INTEGER
    !>          Number of columns in test matrix.
    !>

    NB

    !>          NB is INTEGER
    !>          Block size of test matrix.  NB <= Min(M,N).
    !>

    RESULT

    !>          RESULT is REAL array, dimension (6)
    !>          Results of each of the six tests below.
    !>
    !>          RESULT(1) = | A - L Q |
    !>          RESULT(2) = | I - Q Q^H |
    !>          RESULT(3) = | Q C - Q C |
    !>          RESULT(4) = | Q^H C - Q^H C |
    !>          RESULT(5) = | C Q - C Q |
    !>          RESULT(6) = | C Q^H - C Q^H |
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 72 of file slqt04.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.